{% extends 'berou/base.html' %}
{% load i18n staticfiles %}
{% block content %}
<div class="row">
    <div class="panel-links panel-links-default">
        <div class="panel-links-heading">
            <h4>{% trans "List of apps" %}</h4>
        </div>
        <div class="panel-links-body">
            <ul class="list-group container-fluid">
                {% for app in object_list %}
                <li class="list-group-item row">
                    <div class="col-md-1">
                        {% if app.logo %}
                        <img class="logo" src="{{ app.logo }}" alt="{{ app.name }} logo" />
                        {% else %}
                        <img class="logo" src="{% static 'application_system/img/no_logo.svg' %}" alt="{{ app.name }} logo" />
                        {% endif %}
                    </div>
                    <div class="col-md-9">
                        <h4>{{ app.name }}</h4>
                        <h5>{{ app.description }}</h5>
                    </div>
                    {% if user in app.users.all %}
                    <div class="col-md-2">
                        <form class="pull-right" method="POST" action="{% url 'application_system:disable_app' package=app.package %}">
                            {% csrf_token %}
                            <button class="pull-right btn btn-danger">{% trans "Disable" %}</button>
                        </form>
                    </div>
                    {% else %}
                    <div class="col-md-2">
                        <form class="pull-right" method="POST" action="{% url 'application_system:activate_app' package=app.package %}">
                            {% csrf_token %}
                            <input name="package" value="{{ app.package }}" type="hidden" />
                            <button class="btn btn-info">{% trans "Enable" %}</button>
                        </form>
                    </div>
                    {% endif %}
                </li>
                {% endfor %}
            </ul>
        </div>
    </div>
</div>
{% endblock content %}
